Переполнение буфера в GNOME Structured File Library

Дата публикации:
01.12.2006
Всего просмотров:
1325
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNOME Structured File Library (libgsf) 1.x
Уязвимые версии: GNOME Structured File Library (libgsf) 1.x

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "ole_info_read_metabat()" в файле gsf/gsf-infile-msole.c. Удаленный пользователь может с помощью специально сформированного файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: http://www.gnome.org/projects/libgsf/

Решение: Установите последнюю версию (1.14.3) с сайта производителя.

или введите имя

CAPTCHA